### Method

# Clutter Actor set_child_transform

#### Declaration [src]

    void
    clutter_actor_set_child_transform (
      ClutterActor* self,
      const graphene_matrix_t* transform
    )

#### Description [src]

Sets the transformation matrix to be applied to all the children of `self` prior to their own transformations. The default child transformation is the identity matrix.

If `transform` is `NULL`, the child transform will be unset.

The `ClutterActor:child-transform` property is animatable.

Sets property | `Clutter.Actor:child-transform`

#### Parameters

`transform`

  Type: `graphene_matrix_t`

  A #graphene_matrix_t, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.